@echo off
rem this file should be called by scrape.cmd 
set showfile=%*
echo Show file is %showfile%

rem Check to see if file is a video_ts directory and process accordingly
echo %showfile%|find "VIDEO_TS" /i
if %errorlevel%==0 goto stripts
goto nostrip
:stripts
rem remove last nine chars
set showfile=%showfile:~0,-9%
:nostrip

rem check to see if we've already processed this file
echo Checking for %showfile%.properties
if exist "%showfile%.properties" echo already processed %showfile% >> "%folderpath%\ScrapeLog.txt"
if exist "%showfile%.properties" goto alreadyProcessed

echo checking if another machine is already processing this show
if exist "%showfile%.lck" goto alreadyProcessed

:needProcessing
echo Need to process %showfile%
rem write .lck file to stop other machines from attempting to process this file 
echo %computername% began processing %showfile% - %date% %time% > "%showfile%.lck"
echo.
echo %date% %time% - %computername% - Begin processing %showfile% >> "%folderpath%\ScrapeLog.txt"
start /wait /min /low cmd /c mediaScraper.exe "%showfile%"
rem add contents of .properties file to log if it exists
echo looking for "%showfile%.properties"
echo.
if exist "%showfile%.properties" type "%showfile%.properties" >> "%folderpath%\ScrapeLog.txt"
if exist "%showfile%.properties" echo ----------------------- >> "%folderpath%\ScrapeLog.txt"
echo %date% %time% - %computername% - Completed processing %showfile% >> "%folderpath%\ScrapeLog.txt"
echo. >> "%folderpath%\ScrapeLog.txt
if exist "%showfile%.lck" del "%showfile%.lck"

goto end

:alreadyProcessed
echo Already processed %showfile%
echo.
goto end

:cutfile
echo.
echo Skipping file %showfile% 
echo Already processed with igCutter.
echo. 

:end
